Does Aem 6.4 suppor angular

Avatar

Avatar

shashanks526115

Avatar

shashanks526115

shashanks526115

25-06-2020

Hi,

    is anyone can tell me that aem 6.4 support angular js

Accepted Solutions (1)

Accepted Solutions (1)

Avatar

Avatar

Nirmal_Jose

MVP

Avatar

Nirmal_Jose

MVP

Nirmal_Jose
MVP

25-06-2020

If you want to use SPA editor for an end to end delivery of an angular SPA, you need to be on 6.4.2 or above. Reference at [1]

If you want angular for any custom functionality, you can embed it as a clientlibs as use it. Reference pattern is available in ACS-Commons at [2]

 

[1] - https://docs.adobe.com/content/help/en/experience-manager-64/developing/headless/spas/spa-overview.h...

[2] - /apps/acs-commons/clientlibs/vendor/angularjs

Answers (1)

Answers (1)

Avatar

Avatar

vanegi

Employee

Avatar

vanegi

Employee

vanegi
Employee

25-06-2020

Hi Shashank,

Yes it is supported, check https://docs.adobe.com/content/help/en/experience-manager-64/developing/headless/spas/spa-getting-st... for more details.

 

Note:

The Single-Page Application (SPA) Editor feature requires AEM 6.4 service pack 2 or newer.
The SPA Editor is the recommended solution for projects that require SPA framework based client-side rendering (e.g. React or Angular).

 

Thanks,

Vaishali